/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreUmlsimport;

import org.jooq.JSONB;
import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreUmlsimportRecord extends TableRecordImpl<VCoreUmlsimportRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_umlsimport.content</code>.
     */
    public void setContent(JSONB value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_umlsimport.content</code>.
     */
    public JSONB getContent() {
        return (JSONB) get(0);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreUmlsimportRecord
     */
    public VCoreUmlsimportRecord() {
        super(VCoreUmlsimport.V_CORE_UMLSIMPORT);
    }

    /**
     * Create a detached, initialised VCoreUmlsimportRecord
     */
    public VCoreUmlsimportRecord(JSONB content) {
        super(VCoreUmlsimport.V_CORE_UMLSIMPORT);

        setContent(content);
        resetChangedOnNotNull();
    }
}
